Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.std.music
Class SynthesizerConnections

    java.lang.Object
      |
      +--quicktime.util.QTByteObject
            |
            +--quicktime.std.music.SynthesizerConnections

All Implemented Interfaces:
  java.lang.Cloneable, quicktime.jdirect.PrimitivesLib, java.io.Serializable, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

Direct Known Subclasses:
  QTMIDIPort

public class SynthesizerConnections
extends QTByteObject
implements quicktime.jdirect.PrimitivesLib, java.lang.Cloneable

Describes how a MIDI device is connected to the computer.

See Also:
  Serialized Form

Field Summary
`static int` | `kNativeSize` This is the size (the number of bytes) that are required for this class

Fields inherited from interface quicktime.jdirect.PrimitivesLib
`JDirect_MacOSX, libraryInstance`

Constructor Summary
`SynthesizerConnections()` Create a connections class with all slots set to zero.
`SynthesizerConnections(QTFile soundBankFile)` This is used to create a connections structure that describes a sound bank file (DLS or SF2) that will be used to supply sample information to a soft-synth music component.

Method Summary
`java.lang.Object` | `clone()` Return a copy of this object.
`int` | `getClientID()` Return the MIDIManager client ID or 'OMS ' for OpenMIDISystem.
`int` | `getFlags()` Return information about the type of connection.
`int` | `getInputID()` Return the ID of the port that receives MIDI information.
`int` | `getMIDIChannel()` Return the system MIDI channel, or a slot number.
`int` | `getOutputID()` Return the ID of the port that sends MIDI information.
`QTFile` | `getSoundBankFile()` Returns a QTFile that represents a sound bank file (DLS or SF2) that will be used to supply sample information to a soft-synth music component (or null if none set).
`int` | `getUniqueID()` Return the unique id which may be used instead of an index to getinfo and unregister calls
`void` | `setClientID(int id)` Set the MIDIManager client ID.
`void` | `setFlags(int flag)` Set information about the type of connection.
`void` | `setInputID(int id)` Set the ID of the port that receives MIDI information.
`void` | `setMIDIChannel(int channel)` Set the system MIDI channel, or a slot number.
`void` | `setOutputID(int id)` Set the ID of the port that sends MIDI information.
`void` | `setSoundBankFile(QTFile soundBankFile)` This is used to create a connections structure that describes a sound bank file (DLS or SF2) that will be used to supply sample information to a soft-synth music component.
`void` | `setUniqueID(int id)` Set the unique id which may be used instead of an index to getinfo and unregister calls
`java.lang.String` | `toString()` String representation.

Methods inherited from class quicktime.util.QTByteObject
`equals, fromArray, getBytes, getSize`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### kNativeSize

    public static final int kNativeSize

  This is the size (the number of bytes) that are required for this class

Constructor Detail

### SynthesizerConnections

    public SynthesizerConnections()

  Create a connections class with all slots set to zero.

### SynthesizerConnections

    public SynthesizerConnections(QTFile soundBankFile)
                           throws QTException

  This is used to create a connections structure that describes a sound bank file (DLS or SF2) that will be used to supply sample information to a soft-synth music component.
  Parameters:
    `soundBankFile` - the file

Method Detail

### setSoundBankFile

    public void setSoundBankFile(QTFile soundBankFile)
                          throws QTException

  This is used to create a connections structure that describes a sound bank file (DLS or SF2) that will be used to supply sample information to a soft-synth music component.
  Parameters:
    `soundBankFile` - the file

### getSoundBankFile

    public QTFile getSoundBankFile()
                            throws QTException

  Returns a QTFile that represents a sound bank file (DLS or SF2) that will be used to supply sample information to a soft-synth music component (or null if none set).
  Returns:
    the file

### getClientID

    public final int getClientID()

  Return the MIDIManager client ID or 'OMS ' for OpenMIDISystem.

### setClientID

    public final void setClientID(int id)

  Set the MIDIManager client ID.

### getInputID

    public final int getInputID()

  Return the ID of the port that receives MIDI information. (QT documents this as outputPortID).

### setInputID

    public final void setInputID(int id)

  Set the ID of the port that receives MIDI information. (QT documents this as outputPortID).

### getOutputID

    public final int getOutputID()

  Return the ID of the port that sends MIDI information. (QT documents this as inputPortID).

### setOutputID

    public final void setOutputID(int id)

  Set the ID of the port that sends MIDI information. (QT documents this as inputPortID).

### getMIDIChannel

    public final int getMIDIChannel()

  Return the system MIDI channel, or a slot number.

### setMIDIChannel

    public final void setMIDIChannel(int channel)

  Set the system MIDI channel, or a slot number.

### getFlags

    public final int getFlags()

  Return information about the type of connection.

### setFlags

    public final void setFlags(int flag)

  Set information about the type of connection.

### getUniqueID

    public final int getUniqueID()

  Return the unique id which may be used instead of an index to getinfo and unregister calls

### setUniqueID

    public final void setUniqueID(int id)

  Set the unique id which may be used instead of an index to getinfo and unregister calls

### toString

    public java.lang.String toString()

  String representation.
  Overrides:
    `toString` in class `QTByteObject`

### clone

    public java.lang.Object clone()

  Return a copy of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD